GuideLab API

Request a new surgical report revision (clinic only)

Keeps the approval task and hold open while requiring the lab to submit a new immutable revision.

POST
/orders/{id}/surgical-report/{reviewId}/request-changes

Keeps the approval task and hold open while requiring the lab to submit a new immutable revision.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string
reviewId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/orders/string/surgical-report/string/request-changes" \  -H "Content-Type: application/json" \  -d '{    "commandId": "9e2dd63c-3478-489f-86d3-8c292a65a0aa",    "notes": "string"  }'
{  "success": true,  "replayed": true}
Empty
Empty
Empty
Empty